%% Setting constants----------------------------------------------
aStop           =   0.0001;
np              =   50;                                                     % Number of points per stream line
ns              =   15;                                                     % Number of stream lines
deleteN         =   10;  
abScale         =   0.75;

%% PRE CALC
Ain             =   2*pi*(D1/2)*B;                                       % total area runner inlet
Aout            =   Ain*Ainc;                                               % total area runner outlet
a               =   (D1/2)-(D2/2);                                    % Ellipsis parameter a  
b               =   a*abScale;                                              % Ellipsis parameter b
ellipse         =   [a, b];                                                 % initializing  elipsis matrix to create the ring

%% Calculating the 1st streamline
aa=1;
skalar=1.36;
bb=aa*0.75;
xx = aa/skalar:-aa/13000:0;
temp=size(xx);
temp=temp(2);
for i=1:temp
    yy(i)=(bb*(1-(((xx(i)-aa)^2)/aa)))^0.5;
end

xx=xx*skalar*a;
yy=yy*a;
xx=xx+(D2/2);

integral=0;
temp=size(xx);
temp=temp(2);
for i=2:temp                                 % integral start - to find the length of the elipsis along the ring     
    deltaRing     = ((xx(i)-xx(i-1))^2+(yy(i)-yy(i-1))^2)^0.5;   
    integral      =   integral + deltaRing;
end
length=integral;
ds              =   integral/(np-1);

axial=zeros(2,np,ns);  %lager matrisen
axial(1,1,1)=xx(1);    % putter inn startpunkt & sluttpunkt
axial(2,1,1)=yy(1);
axial(1,np,1)=xx(temp);    % putter inn startpunkt & sluttpunkt
axial(2,np,1)=yy(temp);

jm=Aout/(ns-1);
for x=2:ns
    axial(1,1,x)=xx(1);    % putter inn startpunkt for strmlinje 2 og opp
    axial(2,1,x)=yy(1)+B*(x-1)/(ns-1);
    axial(1,np,x)=(axial(1,np,x-1)^2-(jm/pi))^0.5;    % putter inn sluttpunkt for strmlinje 2 og opp
    axial(2,np,x)=yy(temp);
end
%% cutting the ellipsis in even parts
n=1;

for s = ds:ds:length-ds % har tatt bort frste og siste      % Start iterating line integral, to find even distributed points along stream line
    
    n               =   n+1;
    integral        =   0;
    i=2;
    while integral  <   s                                                   % Whileloop  - Intagrating until  streamline = s
        integral= integral + ((xx(i)-xx(i-1))^2+(yy(i)-yy(i-1))^2)^0.5;
        i=i+1;
    end
    axial(1,n,1)=xx(i);
    axial(2,n,1)=yy(i);
end
%% calculating the other streamlines
for x=2:ns
    for i=2:np-1

        dy                                              =   abs(axial(2,i-1,x-1)-axial(2,i+1,x-1));
        dx                                              =   abs(axial(1,i-1,x-1)-axial(1,i+1,x-1));
        alpha                                           =   atan(dy/dx);
       
        Asec                                            =   Ain/(ns-1) + ((Aout-Ain)/(ns-1)*(i-1)/(np-1));
        Ri                                              =   axial(1,i,x-1);
        Rny                                             =   sqrt(Ri^2-(Asec*sin(alpha)/pi));
        bi                                              =   (Ri-Rny)/sin(alpha);
        axial(1,i,x)                                    =   Rny;
        Yny                                             =   axial(2,i,x-1) + bi*sin(pi/2-alpha);
        axial(2,i,x)                                    =   Yny;

    end
end
%% sletter siste punktene
for x=1:ns
    for i=1:np-deleteN
        axialTemp(1,i,x)=axial(1,i,x);
        axialTemp(2,i,x)=axial(2,i,x);
    end
end
TilShroud=axial;
axial=axialTemp;
np=np-deleteN;