%% Parameter input, if running alone
R=0.48;
beta2=25;
Z=5;
eksponenten=1;   % genererer en ucu

%% Power plant input
Head=201.5;
Q=2.35;
etta=0.96;
Nrv=20;
%% Power plant calculations
const=(2*9.81*Head)^0.5;
acc=1.1; %10 prosent akselrasjon
Ainc=1/acc;
beta2=beta2*pi/180;  % degrees to rad
rpm=3000/Z;
SpeedNumber=2*pi*rpm/(60*const)*(Q/const)^0.5;

%% inlet  vary with R
Cu1_=(etta-R)^0.5;
U1_=etta/(2*Cu1_);
Cu1=Cu1_*const; U1=U1_*const;
D1=60*U1/(rpm*pi);


%% outlet calculations
D2=((60*4*Q)/(pi^2*rpm*tan(beta2)))^(1/3);
U2=D2*pi*rpm/60;
Cm2=U2*tan(beta2);
Cm1=Cm2/acc;

%% inlet calculations
B= acc*D2^2/(4*D1);
beta1=atan(Cm1/(U1-Cu1));
if beta1<0
    beta1=pi/2+(pi/2-abs(beta1));
end