%% Insert values
MainDimentions;

%% Lager axial view
AksialSnitt;
plotAxialView;
hold on

%% Regner lengden av strmlinjene
for x=1:ns
    for i=1:np-1
        deltaG(i,x)=((axial(1,i+1,x)-axial(1,i,x))^2+(axial(2,i+1,x)-axial(2,i,x))^2)^0.5;  % slett?
    end
end

%% U - Finding U-vector for all points
for x=1:ns
    for i=1:np
    u(i,x)=rpm*2*pi/60*axial(1,i,x);
    end
end

%% Cu & Cm - Finding Cu & Cm-vector for all points
for i=1:np
    cm(i)=Cm1+Cm1*0.1*((i-1)/(np-1)); 
end

%% U*Cu generator, velg mode i .m-fila!!
UCu;

%% beta
for x=1:ns   
    for i=1:np
        tanbeta(i,x)=cm(i)/(u(i,x)-cu(i,x));  
        beta(i,x)=atan(cm(i)/(u(i,x)-cu(i,x)));
    end
end

%% G-H view
for x=1:ns
    for i=1:np-1
        deltaH(i,x)=deltaG(i,x)/tanbeta(i,x);   % delta er 39 15, tanb 40 15
    end
end
G(np,ns)=zeros; H(np,ns)=zeros;
for x=1:ns
     for i=2:np
         G(i,x)=G(i-1,x)+deltaG(i-1,x);
         H(i,x)=H(i-1,x)+deltaH(i-1,x);
     end
end

%% Radialplanet
theta(np,x)=zeros; theta(1,1)=0;
for x=1:ns
     for i=1:np-1
         deltaTheta(i,x)=asin(deltaH(i,x)/axial(1,i,x));
         theta(i+1,x)=theta(i,x)+deltaTheta(i,x);     
     end
end

%% polar
for x=1:ns
    for i=1:np
        yradial(i,x)=axial(1,i,x)*sin(theta(i,x));  % axial 1 er radius
        xradial(i,x)=axial(1,i,x)*cos(theta(i,x));
    end
end

%% X , Y , Z kordinater
for x=1:ns
    for i=1:np
Xcoordinates(i,x)=axial(1,i,x); %radius
Zcoordinates(i,x)=axial(2,i,x); %hyde
Ycoordinates(i,x)=yradial(i,x); %bend
    end
end

%% add thickness
Thickness