%% Spiral Casing
Ct=23.66;%=Cgv(26)*Dgvi/2;
Qstart=Q;
k2=0.1;
r0=0; r=1; %1.
R0=D1/2+k2*B;%Rsvi;

Bgv=B;

%% divide into sections
N=18;
dtheta=360/18;
for i=0:N
    angle(i+1)=-i*dtheta;  % minus for riktig vei iforhold til mine runnerblades
    Qsc(i+1)=Qstart-(i*Qstart/N);
end

%% Algorithm for calculating r & Rt
for j=1:N
    r=1; r0=0;
    while abs(r-r0)>0.001
        phi0=asin(Bgv/(2*r));  %2.
        x=((Bgv^2/4)+r^2)^0.5;
        phiy=acos((x-k2*B)/r);
        Rt=R0+r*cos(phi0)-k2*Bgv; %3.
        int=0;                   % 4.
        dphi=(pi-phi0)/100;
        for i=phi0:dphi:pi  
            int=int+(sin(i))^2*dphi/(Rt-r*cos(i));
        end
        r0=r;
        r=(Qsc(j)/(2*Ct*int))^0.5;
    end
    Rtv(j)=Rt;
    Rtx(j)=Rtv(j)*cos(angle(j)*pi/180);
    Rty(j)=Rtv(j)*sin(angle(j)*pi/180);
    rv(j)=r;
    innerx(j)=(Rtv(j)-rv(j))*cos(angle(j)*pi/180);
    innery(j)=(Rtv(j)-rv(j))*sin(angle(j)*pi/180);
    outerx(j)=(Rtv(j)+rv(j))*cos(angle(j)*pi/180);
    outery(j)=(Rtv(j)+rv(j))*sin(angle(j)*pi/180);
end

for j=1:N
    phi0(j)=round(atan((B/2)/rv(j))*180/pi);
end

